import diff from './diff';
import parse, { createConsumer, Consumer } from './consumer';
import createOptions, { Options, DMPOptions } from './options';
import { ParsedModel } from './types';
export { diff, parse, createOptions, createConsumer, Options, DMPOptions, ParsedModel, Consumer };
export { Token, TokenType, ElementTypeAddon } from './types';
/**
 * Calculates diff between two XML documents and returns `to` document content
 * with diff patches applied to it as `<ins>`/`<del>` tags
 */
export default function diffDocuments(from: string, to: string, options?: Partial<Options>): string;
/**
 * Returns restored source from given parsed model
 */
export declare function stringify(model: ParsedModel): string;
